Subject: Re: [PATCH net-next 0/8] net: macb: Add XDP support and page pool integration

From: Théo Lebrun <[email-masked]>
Date: Fri, 20 Feb 2026 16:58:16 +0100

On Thu Feb 19, 2026 at 7:05 PM CET, Paolo Valerio wrote:
> On 16 Feb 2026 at 10:17:39 AM, Théo Lebrun <[email-masked]> wrote:
>> On Sat Feb 14, 2026 at 4:37 PM CET, Paolo Valerio wrote:
>>> On 13 Feb 2026 at 05:57:17 PM, Théo Lebrun <[email-masked]> wrote:
>>> The one about DMA_BIDIRECTIONAL is already part of this review cycle
>>> (see bot's reply to 5/8) and already incorporated. I'm also considering
>>> the possibility a change that make this no longer relevant anyways, but
>>> I'm not sure as it was planned as a follow up.
>>
>> Yes indeed, Jakub's LLM pointed it out. I looked into this for a bit and
>> couldn't find any good solution. In the end I couldn't find any
>> measurable performance improvement so no need to worry about it (on my
>> platform). I guess the only valid option is to reopen
>> if `running && (!!old_prog != !!new_prog)`?
>
> yeah, which I guess is fine, after all.
> Also, this way at some point we may even consider to remove the xdp
> headroom for the skb case and reserve less like NET_SKB_PAD. This would
> have the extra bonus to not require a full page for 1500 mtu with 4k
> pages.

I will be adding a close/open cycle with the XSK pool introduction.
That is why in my branch I preferred to lean in the direction of not
closing/reopening in the XDP program load (to avoid 2x reopens on AF_XDP
zero-copy). I get your point though.

Thanks,

--
Théo Lebrun, Bootlin
Embedded Linux and Kernel engineering
https://bootlin.com